Skip to main content
GET
/
computers
/
{id}
/
tabs
curl https://api.tzafon.ai/computers/comp_123/tabs \
  -H "Authorization: Bearer sk_your_api_key"
{
  "result": {
    "tabs": [
      {
        "tab_id": "tab_main",
        "url": "https://example.com",
        "is_main": true
      },
      {
        "tab_id": "tab_abc123",
        "url": "https://google.com",
        "is_main": false
      }
    ]
  }
}
Tab management is only available for browser sessions, not desktop sessions.

List Tabs

GET /computers/{id}/tabs
curl https://api.tzafon.ai/computers/comp_123/tabs \
  -H "Authorization: Bearer sk_your_api_key"
{
  "result": {
    "tabs": [
      {
        "tab_id": "tab_main",
        "url": "https://example.com",
        "is_main": true
      },
      {
        "tab_id": "tab_abc123",
        "url": "https://google.com",
        "is_main": false
      }
    ]
  }
}

Create Tab

POST /computers/{id}/tabs
url
string
URL to open in new tab (optional)
curl -X POST https://api.tzafon.ai/computers/comp_123/tabs \
  -H "Authorization: Bearer sk_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://google.com"}'
{
  "result": {
    "created_tab_id": "tab_xyz789"
  }
}

Switch Tab

POST /computers/{id}/tabs/{tab_id}/switch
tab_id
string
required
ID of the tab to switch to
curl -X POST https://api.tzafon.ai/computers/comp_123/tabs/tab_abc123/switch \
  -H "Authorization: Bearer sk_your_api_key"
{
  "status": "success",
  "active_tab": "tab_abc123"
}

Close Tab

DELETE /computers/{id}/tabs/{tab_id}
tab_id
string
required
ID of the tab to close
curl -X DELETE https://api.tzafon.ai/computers/comp_123/tabs/tab_abc123 \
  -H "Authorization: Bearer sk_your_api_key"
{
  "status": "success",
  "closed_tab": "tab_abc123"
}
Closing the last tab may terminate the session or leave it in an undefined state.